{
  lib,
  config,
  pkgs,
  ...
}:
let
  createUserScaffold = import ../scaffold.nix;
  cfg = config.ryan;
  username = "ryan";
  fullname = "Ryan Pandya";
in
{
  options = {
    ${username} = {
      enable = lib.mkEnableOption "Enable ${fullname} account in NixOS & home-manager";
    };
  };
  config = lib.mkIf cfg.enable {
    users = {
      defaultUserShell = pkgs.zsh;
      users = {
        ${username} = {
          initialPassword = "'";
          isNormalUser = true;
          extraGroups = [
            "audio"
            "input"
            "networkmanager"
            "plugdev"
            "realtime"
            "uinput"
            "video"
            "dialout"
            "wheel"
          ];
        };
      };
    };
    home-manager.users.${username} =
      { pkgs, ... }:
      {
        home.stateVersion = "23.11";
      };
  };
}
